unit CMB_W1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    Button2: TButton;
    ButtonReadme: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure ButtonReadmeClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

uses CMB_W2;

{$R *.DFM}

{**********************************************************************}
{                                                                      }
{**********************************************************************}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Form1.Hide;
  Form2.ShowModal;
  Form1.Close;
end;

{**********************************************************************}
{                                                                      }
{**********************************************************************}

procedure TForm1.Button2Click(Sender: TObject);
begin
  close;
end;

{**********************************************************************}
{                                                                      }
{**********************************************************************}

procedure TForm1.FormActivate(Sender: TObject);
begin
  Button1.SetFocus;
end;

{**********************************************************************}
{                                                                      }
{**********************************************************************}

procedure TForm1.ButtonReadmeClick(Sender: TObject);
var ReadmeName: string;
begin
  ReadmeName := ExtractFilePath (Application.ExeName) + 'readme.txt';
  if not FileExists (ReadmeName) then
    ShowMessage ('Readme.txt not found!')
  else
    WinExec (PChar ('notepad ' + ReadmeName), SW_SHOWNORMAL);
end;

end.
